aboutsummaryrefslogtreecommitdiff
path: root/system/ntfs-3g
diff options
context:
space:
mode:
authorcore <eroc@linuxmail.org>2010-05-11 19:46:33 +0200
committerRobby Workman <rworkman@slackbuilds.org>2010-05-11 19:46:33 +0200
commite40d6b50eb7bfe1c5e204a1eeb590bb552376491 (patch)
tree19dabbac464928f9a051a18061ddaa91578d72fa /system/ntfs-3g
parenta62178c9b4045714b238e50a58b810930917fedf (diff)
downloadslackbuilds-e40d6b50eb7bfe1c5e204a1eeb590bb552376491.tar.xz
system/ntfs-3g: Updated for version 1.2216
Diffstat (limited to 'system/ntfs-3g')
-rw-r--r--system/ntfs-3g/README4
-rw-r--r--system/ntfs-3g/ntfs-3g.SlackBuild36
-rw-r--r--system/ntfs-3g/ntfs-3g.info8
-rw-r--r--system/ntfs-3g/slack-desc10
4 files changed, 39 insertions, 19 deletions
diff --git a/system/ntfs-3g/README b/system/ntfs-3g/README
index 7e76ea645a13..6cbac1206ec8 100644
--- a/system/ntfs-3g/README
+++ b/system/ntfs-3g/README
@@ -1,5 +1,3 @@
-ntfs-3g - NTFS-3G Read/Write Driver
-
The NTFS-3G driver is an open source, freely available NTFS driver
for Linux with read and write support. It provides safe and fast
handling of the Windows XP, Windows Server 2003, Windows 2000 and
@@ -8,4 +6,4 @@ supported, with the exception of full file ownership and access
right support.
This package requires FUSE 2.6.0 or later to guarantee full data
-safety, for which a package is available from SlackBuilds.org.
+safety, for which a build script is available from SlackBuilds.org.
diff --git a/system/ntfs-3g/ntfs-3g.SlackBuild b/system/ntfs-3g/ntfs-3g.SlackBuild
index 6ef358ff7561..5fc0f3caa795 100644
--- a/system/ntfs-3g/ntfs-3g.SlackBuild
+++ b/system/ntfs-3g/ntfs-3g.SlackBuild
@@ -1,17 +1,17 @@
#!/bin/sh
# Slackware build script for ntfs-3g
-
# Written by core <eroc@linuxmail.org>
-
-set -e
+# Modified by Robby Workman <rworkman@slackbuilds.org> with input
+# from Antonio Hernández Blas <hba.nihilismus@gmail.com>
PRGNAM=ntfs-3g
-VERSION=1.516
+VERSION=1.2216
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
-CWD=`pwd`
+
+CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
@@ -22,38 +22,52 @@ elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG/usr $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar xzvf $CWD/$PRGNAM-$VERSION.tgz
+tar xvf $CWD/$PRGNAM-$VERSION.tgz
cd $PRGNAM-$VERSION
chown -R root:root .
chmod -R a-s,u+rw,go-w .
CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
--mandir=/usr/man \
- --enable-shared=yes \
+ --includedir=/usr/include \
+ --bindir=/bin \
+ --sbindir=/sbin \
+ --libdir=/lib \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --with-fuse=external \
+ --disable-ldconfig \
--enable-static=no
make
make install DESTDIR=$PKG
+# Move pkgconfig to /usr/lib
+mkdir $PKG/usr/lib
+mv $PKG/lib/pkgconfig $PKG/usr/lib
+
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;
- for i in `find . -type l` ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+ for i in $(find . -type l) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
)
+rm -rf $PKG/usr/share # Only /usr/share/doc is here
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS ChangeLog COPYING CREDITS INSTALL \
- NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING CREDITS INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/system/ntfs-3g/ntfs-3g.info b/system/ntfs-3g/ntfs-3g.info
index 09022269f1e2..865a313f4ce2 100644
--- a/system/ntfs-3g/ntfs-3g.info
+++ b/system/ntfs-3g/ntfs-3g.info
@@ -1,8 +1,8 @@
PRGNAM="ntfs-3g"
-VERSION="1.516"
+VERSION="1.2216"
HOMEPAGE="http://www.ntfs-3g.org"
-DOWNLOAD="http://www.ntfs-3g.org/ntfs-3g-1.516.tgz"
-MD5SUM="d8527df764193abb16af3a2248bdd8b5"
+DOWNLOAD="http://www.ntfs-3g.org/ntfs-3g-1.2216.tgz"
+MD5SUM="d1664636d38e4ce8eb2af1f09bc5a15d"
MAINTAINER="core"
EMAIL="eroc@linuxmail.org"
-APPROVED="BP{k}"
+APPROVED="rworkman"
diff --git a/system/ntfs-3g/slack-desc b/system/ntfs-3g/slack-desc
index 96d96a4fb7d4..78196a0813b0 100644
--- a/system/ntfs-3g/slack-desc
+++ b/system/ntfs-3g/slack-desc
@@ -1,4 +1,12 @@
-ntfs-3g: ntfs-3g - NTFS-3G Read/Write Driver
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+ntfs-3g: ntfs-3g (NTFS-3G Read/Write Driver)
ntfs-3g:
ntfs-3g: The NTFS-3G driver is an open source, freely available NTFS driver
ntfs-3g: for Linux with read and write support. It provides safe and fast